This is the mail archive of the gnats-devel@sources.redhat.com mailing list for the GNATS project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]

PATCH: Add -d option to send-pr v4


The following patch adds support for the -d or --database option in send-pr 
version 4:

Yngve Svendsen


Index: send-pr.sh
===================================================================
RCS file: /cvs/gnats/gnats/send-pr/send-pr.sh,v
retrieving revision 1.16
diff -u -p -r1.16 send-pr.sh
--- send-pr.sh  2001/04/08 18:28:25     1.16
+++ send-pr.sh  2001/05/15 10:24:58
@@ -189,6 +189,7 @@ USAGE="Usage: $COMMAND [OPTION]...

    -b --batch              run without printing most messages
    -c --cc=LINE            put LINE to the CC header
+  -d --database=DATABASE  submit PR to DATABASE
    -f --file=FILE          read the PR template from FILE (\`-' for stdin)
    -p --print              just print the template and exit
       --request-id         send a request for a user id
@@ -222,6 +223,9 @@ while [ $# -gt 0 ]; do
      -c | --cc) if [ $# -eq 1 ]; then echo "$USAGE"; exit 1; fi
         shift ; CC="$1"
         ;;
+    -d | --database) if [ $# -eq 1 ]; then echo "$USAGE"; exit 1; fi
+    shift; GNATSDB="$1"; export GNATSDB
+    ;;
      -s | --severity) if [ $# -eq 1 ]; then echo "$USAGE"; exit 1; fi
         shift ; DEFAULT_SEVERITY="$1"
         ;;


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]